gr::satellites::ao40_syncframe Class Reference

<+description of block+> More...

`#include <ao40_syncframe.h>`

Inheritance diagram for gr::satellites::ao40_syncframe:
[legend]

## Public Types

typedef boost::shared_ptr< ao40_syncframe > | sptr

## Static Public Member Functions

static sptr | make (int threshold)
| Return a shared_ptr to a new instance of ao40::syncframe. More...

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## sptr

typedef boost::shared_ptr<ao40_syncframe> gr::satellites::ao40_syncframe::sptr

## Member Function Documentation

## make()

static sptr gr::satellites::ao40_syncframe::make | ( | int | threshold | ) |

static

Return a shared_ptr to a new instance of ao40::syncframe.

To avoid accidental use of raw pointers, ao40::syncframe's constructor is in a private implementation class. ao40::syncframe::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- ao40_syncframe.h